ProbeTransaction (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.igs.ProbeTransaction interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process.igs
Interface ProbeTransaction

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ProbeTransaction

extends LogicalElement

Naming Rules:
  0="parent,transactionName"
Persistable:
  true
Table Name:
  IGSPROBEXACT

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`ProbeScript` | `getParent()`
`java.lang.String` | `getTransactionName()`
`long` | `getTransactionSequence()`
`int` | `getTransactionStatus()`
`int` | `getTransactionType()`
`boolean` | `hasParent()`
`boolean` | `hasTransactionName()`
`boolean` | `hasTransactionSequence()`
`boolean` | `hasTransactionStatus()`
`boolean` | `hasTransactionType()`
`void` | `setParent(ProbeScript ps)`
`void` | `setTransactionName(java.lang.String name)`
`void` | `setTransactionSequence(long seq)`
`void` | `setTransactionStatus(int i)`
`void` | `setTransactionType(int i)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ProbeScript getParent()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ProbeScript ps)

### hasParent

    boolean hasParent()

### getTransactionName

    java.lang.String getTransactionName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionName

    void setTransactionName(java.lang.String name)

### hasTransactionName

    boolean hasTransactionName()

### getTransactionSequence

    long getTransactionSequence()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionSequence

    void setTransactionSequence(long seq)

### hasTransactionSequence

    boolean hasTransactionSequence()

### getTransactionType

    int getTransactionType()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionType

    void setTransactionType(int i)

### hasTransactionType

    boolean hasTransactionType()

### getTransactionStatus

    int getTransactionStatus()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionStatus

    void setTransactionStatus(int i)

### hasTransactionStatus

    boolean hasTransactionStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD